<?php 
  $cc=0;
  $rc=0;
  $tPrice=0;     
  $ttprice=0;
  $ttInv=0;
  require_once "labClass.php";
  
 $con = new labClass();
  ?>
  <div class="container-fluid" id="co"> 
  <small><h6>PURCHASE ORDER REPORTS:</h6></small>
  <table class="table">
    <tr>
      <td colspan="5">
        <sup id="tr"></sup>
      <label for="cname" class="form-label">Choose customer from the list:</label>
<input class="form-control" list="cnames" name="cname" id="cname" onchange="processData();">
<datalist id="cnames">
    <?php
     $Q= $con->getporderListBcN();
     if ($Q->rowCount()>0) {
     $lb=
     $Q->fetchAll();
     foreach ($lb as $key => $l) {
      
      ?>
      <option value="<?php echo  $l["cname"];?>">  
             <?php
            
           }
           }
 
      ?>
      </datalist>

    </td>
  </tr>
    <tr>
  <td style="width:15%;">Sort by date range:</td><td style="width:10%;" ><input type="date" style="width:200px;" class="form-control" id="dat1" name="dat1"  value="<?php echo Date("Y-m-d");?>" >
  </td>
  <td>and:</td><td style="width:10%;">
          <input type="date" style="width:200px;" class="form-control" id="dat2" name="dat2" value="<?php echo Date("Y-m-d");?>">
  </td><td style="width:10%;">  
  <button type="submit" class="btn btn-primary" style="width:100%; height:40px;" onclick="var sdate=$('#sdate').val(); var dat1=$('#dat1').val(); var dat2=$('#dat2').val();  $.post('pharmPorderRBdtLPOstff.php',{sdate:sdate,dat1:dat1,dat2:dat2},function(data){$('#dpl').html(data).show();});">Generate</button>
 </td>      
 </tr>
 </table>

 <div class="container-fluid " id="dpl">
  <?php
 $chkp= $con->getPorderRec(); 
     
if ($chkp->rowCount()>0) {

  $chp=$chkp->fetchAll();
  ?>
<table class="table table-bordered" border="1"> 
   <thead class="bg-secondary" >
       
      <th>  
        <small><h6>ORDER DATE</h6></small>
      </th>
      <th>  
        <small><h6>ORDER NO</h6></small>
      </th>
       
      <th>  
        <small><h6>PATICULAR</h6></small>
      </th>
      
      <th>  
        <small><h6>QTY</h6></small>
      </th>
      <<th>  
        <small><h6>CONFIRM RECV QTY</h6></small>
      </th>
       
       <th>  
        <small><h6>RECEIVED DATE</h6></small>
      </th>
      <th>  
        <small><h6>RECEIVE FROM</h6></small>
      </th>
      <th>  
        <small><h6>VERIFIED BY</h6></small>
      </th>
    </thead>
   <?php
    foreach ($chp as $key => $p) {
    $orderID=$p['orderID'];

    //
    $cc++; 
    $cp= $con->getThispOrderItemList($orderID);
    $nr=$cp->rowCount();


        ?>
 <tbody>
 <tr>
    <td rowspan="<?php echo $nr+2; ?>">
    <?php echo $p['orderdate'];?> 
    </td>
 
     <td rowspan="<?php echo $nr+2; ?>" >  
     <sup id="orno<?php echo $cc; ?>"><?php echo $p['orderID'];?></sup>
     </td>

    <td colspan="3" >
    </td>
   <td rowspan="<?php echo $nr+2; ?>">
    <?php if ($p['recvby']!=NULL) 
    {
       echo $p['invdate'];
    }else{
    ?>
    <input type="date" style="width:100%;" class="form-control" id="dt<?php echo $cc; ?>" name="dt<?php echo $cc; ?>"  value="<?php echo Date("Y-m-d");?>" >

    <sup id="rdn<?php echo $cc; ?>"></sup>
    <?php
    } 
    ?>
    </td>
    <td rowspan="<?php echo $nr+2; ?>">
    <?php echo $p['receivedF'];?>
    </td>
    <div id="ds"></div>
    <td rowspan="<?php echo $nr+2; ?>"> 
   
    <?php if ($p['recvby']!="") 
        {
       echo $p['recvby'];
         }else{
        ?>
    
         <input type="text" style="width:100%;" onkeypress="$('#sb<?php echo $cc; ?>').show();" class="form-control" id="confby<?php echo $cc; ?>" name="confby<?php echo $cc; ?>"  value="" >

          <input type="Submit" onclick="var orderID =document.getElementById('orno<?php echo $cc;?>').innerHTML;var confby=$('#confby<?php echo $cc;?>').val(); var dat=$('#dt<?php echo $cc;?>').val();    
            if(orderID!='' && confby!='' && dat!='') {$.post('pharmUpdateRecvPInvPro.php',{orderID:orderID,confby:confby,dat:dat},function(data){$('#rdn<?php echo $cc;?>').html(data).show();});document.getElementById('confby<?php echo $cc;?>').disabled=true;document.getElementById('dt<?php echo $cc;?>').disabled=true;$('#sb<?php echo $cc; ?>').show();} else{document.getElementById('rdn<?php echo $cc;?>').innerHTML='All field required!..';}" style="width:50px; display:none;"  id="sb<?php echo $cc; ?>" name="sb<?php echo $cc; ?>"  value="Save" >
    <?php
    } 
    ?>
    </td>
    </tr>    
     <?php 
   
    if ($cp->rowCount()>0) {

    $ch=$cp->fetchAll();
     
      foreach ($ch as $key => $c) {
         $rc++;
      ?>
          <tr>
            <td>
            <sup id="in<?php echo $rc;?>"><?php echo $c['iname'];?></sup>
            </td> 
            
            <td> 
               <?php echo $c['eQty'];?>
               <input type="number" style="width:100%;" class="form-control" id="cqty<?php echo $cc; ?>" name="cqty<?php echo $cc; ?>"  value="<?php echo $c['eQty'];?>" >
            </td>

            <td>
              <sup id="rd<?php echo $rc; ?>"></sup>
               <?php if ($c['confrecv']!=NULL) 
                { 
                 echo $c['confrecv'];
                 }
                else
                 {
                  ?>
                  Add to:
                  <select class="form-control" name="" id="sOpt<?php echo $rc; ?>">
                   <option value="">Select</option>
                  <option value="SHOP">SHOP</option>
                   <option value="STORE">STORE</option> 
                 </select>
                   <input type="number" onkeypress="$('#sbq<?php echo $rc; ?>').show();" style="width:100%;" class="form-control" id="recvq<?php echo $cc; ?>" name="recvq<?php echo $cc; ?>"  value="" >

                   <input type="Submit" onclick="var inam =document.getElementById('in<?php echo $rc;?>').innerHTML;var orderID =document.getElementById('orno<?php echo $cc;?>').innerHTML;var pQty=0;var confrv= ''; var sOpt=$('#sOpt<?php echo $rc;?>').val();var cqty=$('#cqty<?php echo $cc;?>').val();var recvq=$('#recvq<?php echo $cc;?>').val(); var user=$('#user').val();var sdate=$('#sdate').val();    if(cqty==recvq) {
                     if(orderID!=''&& inam!='' && recvq!=''&& sdate!='' && user!='') {$.post('pharmupdatePInvProLPO.php',{pQty:pQty,confrv:confrv,sOpt:sOpt,orderID:orderID,recvq:recvq,inam:inam,user:user,sdate:sdate},function(data){$('#rd<?php echo $rc; ?>').html(data).show();});document.getElementById('recvq<?php echo $cc;?>').disabled=true;  $('#sbq<?php echo $rc; ?>').hide();} else{document.getElementById('rd<?php echo $rc;?>').innerHTML='All field required!..';}} else{document.getElementById('rd<?php echo $rc;?>').innerHTML='Invalid item quantity!..';}" style="width:50px; display:none;"  id="sbq<?php echo $rc; ?>" name="sbq<?php echo $rc; ?>"  value="Save" >
                   <?php
                } 
               ?>
             </td>
              
                   </tr>
                   <?php 
                       } 
                       
                    }       
}
$cc=0; 
?>
 
</tbody>
</table> 

<?php

}
?>
 </div>
 <script type="text/javascript">
   function processData(){ 
var ecc=0; 
var cname =document.getElementById('cname').value; 
$.trim(cname);
var dat1 =document.getElementById('dat1').value; 
$.trim(dat1);
var dat2 =document.getElementById('dat2').value; 
$.trim(dat2);
  //FIRST NAME VALIDATION
  
if(cname==""){ 

         ecc++;
         document.getElementById('tr').innerHTML="Item customer is required!..";

             }
else{

document.getElementById('tr').innerHTML="";
    }
  if(dat1==""){ 

         ecc++;
         document.getElementById('tr').innerHTML="Item date range is required!..";

             }
else{

document.getElementById('tr').innerHTML="";
    }
if(dat2==""){ 

         ecc++;
         document.getElementById('tr').innerHTML="Item date range is required!..";

             }
else{

document.getElementById('tr').innerHTML="";
    }
    if(ecc==0)
    { 
        $.post("pharmporderBcNLPO.php",
          {cname:cname,dat1:dat1,dat2:dat2},
          function(data){
      $('#dpl').html(data).show();

    });
    }
 
} 

 </script>